Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Tool Command Language, a robust general-purpose scripting language
Name:      	tcl
Version:   	8.5.4
Release:   	1
License: 	GNU/GPL
URL:		http://tcl.sourceforge.net
Group:     	Development/Other
Source0: 	tcl%{version}-src.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
Provides:	libtcl.so  libtcl8.4.so

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
The Tool Command Language, a robust general-purpose scripting language

%package devel
Summary: 	tcl development headers.
Group:     	Development/Other
Requires: 	tcl = %{version}-%{release}

%description devel
Header and include files for developing applications with tcl.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n tcl%{version}


%build
export VERSION=%{version}
export V=`echo $VERSION | cut -d "." -f 1,2`
export DIR=$PWD
cd unix
./configure --prefix=%_prefix --mandir=%_mandir --enable-threads --disable-debug
make
sed -i "s:${DIR}/unix:/usr/lib:" tclConfig.sh
sed -i "s:${DIR}:/usr/include/tcl${V}:" tclConfig.sh
sed -i "s,^TCL_LIB_FILE='libtcl${V}..TCL_DBGX..so',\
    TCL_LIB_FILE=\"libtcl${V}\$\{TCL_DBGX\}.so\"," tclConfig.sh

%install
export VERSION=%{version}
export V=`echo $VERSION | cut -d "." -f 1,2`
export DIR=$PWD
cd unix
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -v -d $RPM_BUILD_ROOT/usr/include/tcl${V}/unix
install -v -m644 *.h $RPM_BUILD_ROOT/usr/include/tcl${V}/unix/
install -v -d $RPM_BUILD_ROOT/usr/include/tcl${V}/generic
install -v -c -m644 ../generic/*.h $RPM_BUILD_ROOT/usr/include/tcl${V}/generic/
rm -v -f $RPM_BUILD_ROOT/usr/include/tcl${V}/generic/{tcl,tclDecls,tclPlatDecls}.h
ln -v -nsf ../../include/tcl${V} $RPM_BUILD_ROOT/usr/lib/tcl${V}/include
ln -v -sf libtcl${V}.so $RPM_BUILD_ROOT/usr/lib/libtcl.so
ln -v -sf libtcl${V}.so $RPM_BUILD_ROOT/usr/lib/libtcl8.4.so
ln -v -sf tclsh${V} $RPM_BUILD_ROOT/usr/bin/tclsh

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_mandir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 8.5.4-1
- version update
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 8.5.3-1
- version update
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 8.5.2-1
- version update
* Mon Feb 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 8.5.1-2
- added missing -devel package
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 8.5.1-1
- version update
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.5.0-1
- version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 8.4.14-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 8.4.13-2
- added Provides for libtcl.so
* Fri Aug 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 8.4.13-1
- version update
* Wed Dec 07 2005 Christian Metzen <metzench@ccux-linux.de> 8.4.12-1
- Version update
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 8.4.11-1
- Version Update to 8.4.11
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 8.4.10-2
- Fixed Bug #0000066
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 8.4.10-1
- Version update to 8.4.10
* Tue Oct 19 2004 Christian Metzen <metzench@ccux-linux.de> 8.4.7-1
- Initial Release
